Skip to main content
GET
List PALs
For AI agents, use https://docs.tavus.io/openapi.yaml for the full HTTP API contract.

Authorizations

x-api-key
string
header
required

Query Parameters

limit
integer

The number of PALs to return per page. Default is 10.

page
integer

The page number to return. Default is 1.

pal_type
enum<string>

Filter the PALs by type. Possible values: user, system. System PALs are PALs that have been created by Tavus.

Available options:
user,
system
persona_type
enum<string>

Legacy alias for pal_type. Still accepted; use pal_type in new integrations.

Available options:
user,
system

Response

data
object[]

PALs for the current page; use total_count for the full count under the applied filters.

total_count
integer

The total number of PALs given the filters provided.